part of 'profile_bloc.dart';

abstract class ProfileState extends Equatable {
  const ProfileState();

  @override
  List<Object?> get props => [];
}

class ProfileInitial extends ProfileState {
  const ProfileInitial();
}

class ProfileLoading extends ProfileState {
  const ProfileLoading();
}

class ProfileLoaded extends ProfileState {
  final MembreCompletModel membre;
  const ProfileLoaded(this.membre);

  @override
  List<Object?> get props => [membre];
}

class ProfileUpdating extends ProfileState {
  final MembreCompletModel membre;
  const ProfileUpdating(this.membre);

  @override
  List<Object?> get props => [membre];
}

class ProfileUpdated extends ProfileState {
  final MembreCompletModel membre;
  const ProfileUpdated(this.membre);

  @override
  List<Object?> get props => [membre];
}

class ProfileError extends ProfileState {
  final String message;
  const ProfileError(this.message);

  @override
  List<Object?> get props => [message];
}

class ProfileNotFound extends ProfileState {
  const ProfileNotFound();
}

class PasswordChanging extends ProfileState {
  const PasswordChanging();
}

class PasswordChanged extends ProfileState {
  const PasswordChanged();
}

class AccountDeleting extends ProfileState {
  const AccountDeleting();
}

class AccountDeleted extends ProfileState {
  const AccountDeleted();
}
